!  Copyright (C) 2017 The authors of Py-ChemShell
!
!  This file is part of Py-ChemShell.
!
!  Py-ChemShell is free software: you can redistribute it and/or modify
!  it under the terms of the GNU Lesser General Public License as
!  published by the Free Software Foundation, either version 3 of the
!  License, or (at your option) any later version.
!
!  Py-ChemShell is distributed in the hope that it will be useful,
!  but WITHOUT ANY WARRANTY; without even the implied warranty of
!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!  GNU Lesser General Public License for more details.
!
!  You should have received a copy of the GNU Lesser General Public
!  License along with Py-ChemShell.  If not, see
!  <http://www.gnu.org/licenses/>.

!  Stubs - to reduce executable size

!      subroutine mp2_input
!      write(6,*)'mp2_input'
!      stop
!      end
!     subroutine stepper_input
!     write(6,*)'stepper_input'
!     stop
!     end
!      subroutine driver_input
!      write(6,*)'driver_input'
!      stop
!      end
subroutine arg_input
write(6,*)'arg_input'
stop
end
subroutine md_input
write(6,*)'md_input'
stop
end
!      subroutine ccsd_input
!      write(6,*)'ccsd_input'
!      stop
!      end
!      subroutine mcscf_input
!      write(6,*)'mcscf_input'
!      stop
!      end
subroutine plnwv_input
write(6,*)'plnwv_input'
stop
end
!      subroutine dplot_input
!      write(6,*)'dplot_input'
!      stop
!      end
!      subroutine prop_input
!      write(6,*)'prop_input'
!      stop
!      end
subroutine gap_parse
write(6,*)'gap_parse'
stop
end
!     subroutine qmmm_input
!     write(6,*)'qmmm_input'
!     stop
!     end
! required now
!      subroutine task_input
!      write(6,*)'task_input'
!      stop
!      end
subroutine python_input
write(6,*)'python_input'
stop
end
!      subroutine cosmo_initialize
!      write(6,*)'cosmo_initialize'
!      stop
!      end
subroutine cosmo_input
write(6,*)'cosmo_input'
stop
end
!      subroutine cosmo_charges
!      write(6,*)'cosmo_charges'
!      stop
!      end
!      subroutine cosmo_tidy
!      write(6,*)'cosmo_tidy'
!      stop
!      end
subroutine drdy_input
write(6,*)'drdy_input'
stop
end
subroutine pre_input
write(6,*)'pre_input'
stop
end
!      subroutine esp_input
!      write(6,*)'esp_input'
!      stop
!      end
subroutine ana_input
write(6,*)'ana_input'
stop
end
subroutine ideaz_input
write(6,*)'ideaz_input'
stop
end
subroutine nbo_input
write(6,*)'nbo_input'
stop
end
subroutine pspw_input
write(6,*)'pspw_input'
stop
end
!      subroutine cphf_poliz
!      write(6,*)'cphf_poliz'
!      stop
!      end
!      subroutine mcscf
!      write(6,*)'mcscf'
!      stop
!      end
! extra stubs needed because input has been put into libnwctask
!      subroutine int_giao_1ega
!      write(6,*)'int_giao_1ega'
!      stop
!      end
subroutine argos_input
write(6,*)'argos_input'
stop
end
subroutine transp_input
write(6,*)'transp_input'
stop
end
subroutine dia_input
write(6,*)'dia_input'
stop
end
subroutine nwpw_input
write(6,*)'nwpw_input'
stop
end
subroutine smd_input
write(6,*)'smd_input'
stop
end
subroutine rism_input
write(6,*)'rism_input'
stop
end
subroutine ccca_input
write(6,*)'ccca_input'
stop
end
subroutine dntmc_input
write(6,*)'dntmc_input'
stop
end
subroutine mymd_input
write(6,*)'mymd_input'
stop
end
subroutine mymc_input
write(6,*)'mymc_input'
stop
end
subroutine task_ccca_energy
write(6,*)'task_ccca_energy'
stop
end
subroutine task_rism
write(6,*)'task_rism'
stop
end
!     subroutine task_qmmm_energy
!     write(6,*)'task_qmmm_energy'
!     stop
!     end
subroutine dc_energy
write(6,*)'dc_energy'
stop
end
subroutine leps_energy
write(6,*)'leps_energy'
stop
end
subroutine nwmd
write(6,*)'nwmd'
stop
end
subroutine ofpw_energy
write(6,*)'ofpw_energy'
stop
end
subroutine paw_energy
write(6,*)'paw_energy'
stop
end
subroutine band_energy
write(6,*)'band_energy'
stop
end
subroutine pspw_energy
write(6,*)'pspw_energy'
stop
end
subroutine oimp2
write(6,*)'oimp2'
stop
end
subroutine rimp2g
write(6,*)'rimp2g'
stop
end
subroutine task_smd_energy
write(6,*)'task_smd_energy'
stop
end
!     subroutine task_qmmm_gradient
!     write(6,*)'task_qmmm_gradient'
!     stop
!     end
subroutine leps_gradient
write(6,*)'leps_gradient'
stop
end
subroutine paw_gradient
write(6,*)'paw_gradient'
stop
end
subroutine band_gradient
write(6,*)'band_gradient'
stop
end
subroutine pspw_gradient
write(6,*)'pspw_gradient'
stop
end
! Stubs for 6.3 (libqmmm.a)
subroutine qmd_input
write(6,*)'qmd_input'
stop
end
subroutine sp_travel
write(6,*)'sp_travel'
stop
end
subroutine sp_wrttrj
write(6,*)'sp_wrttrj'
stop
end
subroutine md_rdinp
write(6,*)'md_rdinp'
stop
end
subroutine md_start
write(6,*)'md_start'
stop
end
subroutine md_sp
write(6,*)'md_sp'
stop
end
subroutine md_finish
write(6,*)'md_finish'
stop
end
subroutine md_wrtrst
write(6,*)'md_wrtrst'
stop
end
subroutine sp_skip
write(6,*)'sp_skip'
stop
end
subroutine sp_rdtrj
write(6,*)'sp_rdtrj'
stop
end
subroutine prp_print
write(6,*)'prp_print'
stop
end
subroutine cf_print_energy
write(6,*)'cf_print_energy'
stop
end
subroutine sp_printf
write(6,*)'sp_printf'
stop
end
subroutine md_sp_qmmm
write(6,*)'md_sp_qmmm'
stop
end
subroutine cf_wcharge
write(6,*)'cf_wcharge'
stop
end
subroutine cf_trjhdr
write(6,*)'cf_trjhdr'
stop
end
subroutine cf_num2tag
write(6,*)'cf_num2tag'
stop
end
subroutine cf_get_msb
write(6,*)'cf_get_msb'
stop
end
subroutine cf_get_psb
write(6,*)'cf_get_psb'
stop
end
subroutine cf_element 
write(6,*)'cf_element'
stop
end
subroutine cf_charge 
write(6,*)'cf_charge'
stop
end
subroutine pspw_bq_gradient 
write(6,*)'pspw_bq_gradient'
stop
end
subroutine md_em
write(6,*)'md_em'
stop
end
! stubs for 6.6
subroutine mm_input
write(6,*)'mm_input'
stop
end
subroutine mm_add_energy
write(6,*)'mm_add_energy'
stop
end
subroutine mm_add_egrad
write(6,*)'mm_add_egrad'
stop
end
subroutine nwxc_getvals
write(6,*)'nwxc_getvals'
stop
end
subroutine nwxc_getwght
write(6,*)'nwxc_getwght'
stop
end
subroutine nwxc_print
write(6,*)'nwxc_print'
stop
end
subroutine nwxc_get_cam
write(6,*)'nwxc_get_cam'
stop
end
subroutine nwxc_rtdb_load
write(6,*)'nwxc_rtdb_load'
stop
end
subroutine nwxc_input
write(6,*)'nwxc_input'
stop
end
subroutine nwxc_rtdb_store
write(6,*)'nwxc_rtdb_store'
stop
end
subroutine nwxc_init
write(6,*)'nwxc_init'
stop
end
subroutine nwxc_get_disp
write(6,*)'nwxc_get_disp'
stop
end
subroutine nwxc_reset_rho_tolerance
write(6,*)'nwxc_reset_rho_tolerance'
stop
end
subroutine nwxc_eval_df
write(6,*)'nwxc_eval_df'
stop
end
subroutine nwxc_eval_df2
write(6,*)'nwxc_eval_df2'
stop
end
subroutine nwxc_eval_df3
write(6,*)'nwxc_eval_df3'
stop
end
!ENDCHEMSH
